Units.Signal=Classes.TSeeingObject:Derive('TSignal');
SignalArrow=RequireTex('Textures/SignalArrow');
function Units.Signal:Init()
 Classes.TSeeingObject.Init(self);
 self.SightRange=5;
 self.Age=0;
end;

function Units.Signal:DoMove()
 Classes.TSeeingObject.DoMove(self);
 self.Age=self.Age+1;
 if self.Age>=30 then self:Dead();end;
end;

function Units.Signal:DoMinimapDraw()
end;

function Units.Signal:DoDraw()
 SignalArrow:Bind();
 gl.PushMatrix();
 gl.Translate(self.x,self.y,self.z);
 gl.Rotate(self.Age*36);
 DrawShip();
 gl.PopMatrix();
 SignalArrow:UnBind();
end;